List campaigns
curl --request GET \
--url https://api.getreply.in/v1/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"source": "api",
"template": {},
"category": "<string>",
"reference": "<string>",
"people": 123,
"counts": {
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"skipped": 123
},
"spent": "<string>",
"currency": "<string>",
"scheduled_at": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"stopped_at": "<string>"
}
],
"page": 123,
"per_page": 123,
"total": 123
}Campaigns
List campaigns
Your campaigns, newest first.
Permission: Any key (Full, Send only or Read only).
GET
/
v1
/
campaigns
List campaigns
curl --request GET \
--url https://api.getreply.in/v1/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"source": "api",
"template": {},
"category": "<string>",
"reference": "<string>",
"people": 123,
"counts": {
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"skipped": 123
},
"spent": "<string>",
"currency": "<string>",
"scheduled_at": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"stopped_at": "<string>"
}
],
"page": 123,
"per_page": 123,
"total": 123
}Authorizations
Your API key, e.g. gr_live_…
Query Parameters
draft, scheduled, sending, paused, completed, stopped or failed.
Page number, from 1.
Required range:
x >= 1How many on a page (at most 100).
Required range:
1 <= x <= 100